#
# spec file for package wayland-utils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           wayland-utils
Version:        1.0.0
Release:        bp156.3.7
Summary:        Wayland diagnostic utilities
License:        MIT
Group:          System/X11/Utilities
URL:            http://wayland.freedesktop.org/

Source:         http://wayland.freedesktop.org/releases/%name-%version.tar.xz
Source2:        http://wayland.freedesktop.org/releases/%name-%version.tar.xz.sig
Source3:        %name.keyring
BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  pkgconfig(wayland-server) >= 1.17
BuildRequires:  pkgconfig(wayland-protocols) >= 1.17

%description
A collection of wayland utilities, presently just wayland-info.

wayland-info displays information about the protocols supported by a
Wayland compositor, and a subset of Wayland protocols it knows about,
namely Linux DMABUF, presentation time, tablet and XDG output
protocols.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%_bindir/wayland*
%_mandir/man1/wayl*
%license COPYING

%changelog
* Sun Aug  2 2020 Jan Engelhardt <jengelh@inai.de>
- Initial package (1.0.0) for build.opensuse.org
